# Text Input

TextInput supports the following props:

- `type`: one of ['date', 'email', 'number', 'text', 'password']
- `placeholder`
- `value`
- `focusOnMount`: should the component have focus when it mounts
- `disabled`
- `error`: either a string or boolean
- `mask`
- `maskOptions`: see masked-text-input for mask options (only applied if mask prop is truthy)
- `inputMode` (optional): HTML [inputMode](https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/inputmode) attribute. `numeric` forces number keyboard on mobile by setting pattern

TextInput supports the following events:

- `onChange={value => console.log('Omg look a', value)}` where `value` is the string from the TextInput
- `onFocus={() => console.log('focusing')}`
- `onBlur={() => console.log('blurring')}`
